Bug 521291 - Fix instances of #!/usr/bin/env python in yum-rhn-plugin
Summary: Fix instances of #!/usr/bin/env python in yum-rhn-plugin
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-04 16:31 UTC by James G. Brown III
Modified: 2014-12-01 23:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 15:33:12 UTC


Attachments (Terms of Use)

Description James G. Brown III 2009-09-04 16:31:02 UTC
"There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state that this
is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on a
package-by-package basis to address the problem.

In this case, yum-rhn-plugin in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python"

Comment 1 Miroslav Suchý 2009-10-06 15:33:12 UTC
It has been fixed in spacewalk some times ago. And in recent yum-rhn-plugin in RHEL5.4 it is not present:
[msuchy@dri/~]$ rpm -ql yum-rhn-plugin | xargs grep /usr/bin/env
[msuchy@dri/~]123$ rpm -q yum-rhn-plugin
yum-rhn-plugin-0.5.4-13.el5


Note You need to log in before you can comment on or make changes to this bug.